<div class="elis-ff eui-u-mt-m">
  <button
    type="button"
    *ngIf="expandable"
    class="elis-ff-header elis-ff-button eui-u-p-xs"
    (click)="toggleDisplay()"
    tabindex="0"
  >
    <div class="eui-u-flex eui-u-flex-align-items-center">
      <eui-icon-svg
        class="eui-u-mr-xs"
        [icon]="isVisible ? 'chevron-down:sharp' : 'chevron-forward:sharp'"
      ></eui-icon-svg>
      {{ fieldName }}
    </div>
  </button>
  <div *ngIf="!expandable" class="elis-ff-header eui-u-p-m eui-u-pl-xl">
    <h2>{{ fieldName }}</h2>
  </div>
  <div class="eui-u-display-block eui-u-flex-row elis-ff-content" [@slideInOut]="isVisible ? 'in' : 'out'">
    <div class="ecl-row">
      <div class="ecl-col-12 ecl-col-m-9 ecl-u-pa-l-xl ecl-u-pb-2xl">
        <ng-content></ng-content>
      </div>
      <div class="ecl-col-12 ecl-col-m-3 ecl-u-pa-l-xl">
        <div *ngIf="tipsText" class="elis-ff-tips eui-u-p-s">
          <b>{{ 'elis.search.criteria.tips' | translate }}</b
          >:
          <span [innerHTML]="tipsText"></span>
        </div>
      </div>
    </div>
  </div>
</div>
